public class ArrayedStack { 
	private static final int MAX_CAPACITY = 1000; 
	private String[] data;
	/* index of top of stack */
	private int t;
	
	public ArrayedStack() {
		data = new String[MAX_CAPACITY];
		t = -1;
	}
	
	public int size() { 
		return (t + 1); 
	} 
	
	public boolean isEmpty() { 
		return (t == -1); 
	} 
	
	public String top() {
		if (isEmpty()) { 
			throw new IllegalArgumentException("Empty Stack.");
		}
		else { 
			return data[t]; 
		}
	}
	
	public void push(String e) {
		if (size() == MAX_CAPACITY) { 
			throw new IllegalArgumentException("Full Stack."); 
		}
		else { 
			t ++; 
			data[t] = e; 
		} 
	}
	
	public String pop() {
		String result;
		if (isEmpty()) { 
			throw new IllegalArgumentException("Empty Stack."); 
		}
		else { 
			result = data[t]; 
			data[t] = null; 
			t --; 
		}
		return result; 
	}
}